# Method: projects.locations.sources.migratingVms.replicationCycles.list

- [HTTP request](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.replicationCycles/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.replicationCycles/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.replicationCycles/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.replicationCycles/list#body.request_body)
- [Response body](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.replicationCycles/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.replicationCycles/list#body.ListReplicationCyclesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.replicationCycles/list#body.aspect)

Lists ReplicationCycles in a given MigratingVM.

### HTTP request

`GET https://vmmigration.googleapis.com/v1alpha1/{parent=projects/*/locations/*/sources/*/migratingVms/*}/replicationCycles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of ReplicationCycles. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `vmmigration.replicationCycles.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of replication cycles to return. The service may return fewer than this value. If unspecified, at most 100 migrating VMs will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
| `pageToken` | `string` Required. A page token, received from a previous `replicationCycles.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `replicationCycles.list` must match the call that provided the page token. |
| `filter` | `string` Optional. The filter request. |
| `orderBy` | `string` Optional. the order by fields for the result. |

### Request body

The request body must be empty.

### Response body

Response message for 'replicationCycles.list' request.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "replicationCycles": [ { object (`https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.replicationCycles#ReplicationCycle`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `replicationCycles[]` | ``object (`https://docs.cloud.google.com/migrate/virtual-machines/docs/5.0/reference/rest/v1alpha1/projects.locations.sources.migratingVms.replicationCycles#ReplicationCycle`)`` Output only. The list of replication cycles response. |
| `nextPageToken` | `string` Output only. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `unreachable[]` | `string` Output only. Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).